单一事件类 一对多形式的订阅分发机制

### Hierarchy

- ScillaEvent

## Index

### Constructors

- constructor

### Properties

- _subscribers

### Methods

- addListener
- findListener
- hasListener
- invoke
- once
- removeListener

## Constructors

### constructor

- new ScillaEvent(): ScillaEvent

- - Defined in core/ScillaEvent.ts:10

  #### Returns ScillaEvent

## Properties

### Private _subscribers

_subscribers: any[]

- Defined in core/ScillaEvent.ts:10

## Methods

### addListener

- addListener(callback: any, thisObj?: any, priority?: number, ...params: any[]): void

- - Defined in core/ScillaEvent.ts:42

  添加侦听

  #### Parameters

  - ##### callback: any

  - ##### Optional thisObj: any

  - ##### Default value priority: number = 0

  - ##### Rest ...params: any[]

  #### Returns void

### Private findListener

- findListener(callback: any): any

- - Defined in core/ScillaEvent.ts:16

  #### Parameters

  - ##### callback: any

  #### Returns any

### hasListener

- hasListener(callback: any): boolean

- - Defined in core/ScillaEvent.ts:107

  是否已经侦听

  #### Parameters

  - ##### callback: any

  #### Returns boolean

### invoke

- invoke(...paramsNew: any[]): void

- - Defined in core/ScillaEvent.ts:115

  调用派发

  #### Parameters

  - ##### Rest ...paramsNew: any[]

  #### Returns void

### once

- once(callback: any, thisObj?: any, priority?: number, ...params: any[]): void

- - Defined in core/ScillaEvent.ts:67

  添加单次侦听

  #### Parameters

  - ##### callback: any

  - ##### Optional thisObj: any

  - ##### Default value priority: number = 0

  - ##### Rest ...params: any[]

  #### Returns void

### removeListener

- removeListener(callback: any): void

- - Defined in core/ScillaEvent.ts:90

  移除侦听

  #### Parameters

  - ##### callback: any

  #### Returns void

Generated using TypeDoc